PgBeam
PgBeam Docs

List honeytokens

GET
/v1/projects/{project_id}/honeytokens

Lists the project's honeytokens.

Authorization

AuthorizationBearer <token>

JWT issued by Better Auth. Verified via JWKS.

In: header

Path Parameters

project_id*string

Unique project identifier (prefixed, e.g. prj_xxx).

Match^[a-zA-Z0-9_.-]+$

Query Parameters

page_size?integer

Maximum number of items to return (1-100, default 20).

Range1 <= value <= 100
Default20
page_token?string

Opaque token for cursor-based pagination.

Match^[a-zA-Z0-9_.-]+$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/projects/string/honeytokens"
{  "honeytokens": [    {      "id": "hnt_01j9x8y7z6w5v4u3t2s1r0q9p8",      "project_id": "prj_01j9x8y7z6w5v4u3t2s1r0q9p8",      "schema_name": "public",      "relation_name": "customer_ssns",      "action": "audit_only",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_page_token": "string"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}